textures/tunis/floor1
{
	qer_editorimage textures/tunis/sn_stonefloor1.jpg
	
	q3map_nonplanar
	q3map_shadeangle 140
	{
		map textures/tunis/sn_stonefloor1.jpg
		rgbgen identity
	}
	{
		map textures/tunis/sn_dirt1.tga
		rgbgen identity
		//alphafunc gt0
		alphagen vertex
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/tunis/floor2
{
        qer_editorimage textures/tunis/sand_3.tga
	q3map_nonplanar
	q3map_shadeangle 130
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/tunis/sn_dirt1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/tunis/sand_3.tga         // Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}



textures/tunis/floor3
{
        qer_editorimage textures/tunis/grassdirt.jpg
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/tunis/sw_dirt1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/tunis/sw_grass1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/tunis/floor4
{
        qer_editorimage textures/tunis/sanddirt.jpg
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/tunis/sw_dirt1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/tunis/sw_sand1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//////////////////////////////////
// From RealWorld Light by Shminky
//////////////////////////////////

textures/tunis/outdoors_350
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/tunis/outdoors_gtk.jpg
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	
	//altered x 2.5 for r_overbrightbits 0 and r_mapoverbrightbits 0 
	q3map_surfacelight 875
	q3map_lightimage textures/tunis/outdoors.jpg
}


textures/tunis/outdoors_250
{
	qer_trans 0.50
	qer_nocarve
	qer_editorimage textures/tunis/outdoors_gtk_250.jpg
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	
	//altered x 2.5 for r_overbrightbits 0 and r_mapoverbrightbits 0 
	q3map_surfacelight 875
	q3map_lightimage textures/tunis/outdoors2.jpg
}

textures/tunis/outdoors_40
{
	qer_trans 0.50
	qer_nocarve
	qer_editorimage textures/tunis/outdoors_gtk_40.jpg
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	
	//altered x 2.5 for r_overbrightbits 0 and r_mapoverbrightbits 0 
	q3map_surfacelight 110
	q3map_lightimage textures/tunis/outdoors2.jpg
}

textures/tunis/outdoors_25
{
	qer_trans 0.50
	qer_nocarve
	qer_editorimage textures/tunis/outdoors_gtk_25.jpg
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	
	//altered x 2.5 for r_overbrightbits 0 and r_mapoverbrightbits 0 
	q3map_surfacelight 70
	q3map_lightimage textures/tunis/outdoors2.jpg
}


textures/tunis/outdoors_12
{
	qer_trans 0.50
	qer_nocarve
	qer_editorimage textures/tunis/outdoors_gtk_12.jpg
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	
	//altered x 2.5 for r_overbrightbits 0 and r_mapoverbrightbits 0 
	q3map_surfacelight 35
	q3map_lightimage textures/tunis/outdoors2.jpg
}


textures/tunis/carpet1
{
	qer_editor_image textures/tunis/carpet1.tga
	//qer_trans 0.40
	cull disable
	polygonoffset
	sort banner
	{
		map textures/tunis/carpet1.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/tunis/carpet2
{
	qer_editor_image textures/tunis/carpet2.tga
	//qer_trans 0.40
	cull disable
	polygonoffset
	sort banner
	{
		map textures/tunis/carpet2.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/tunis/ivy_wall_down
{
	qer_editorimage textures/tunis/ivy_wall2.tga
	
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks

	polygonoffset
	sort banner
	
	cull none

	{
		map textures/tunis/ivy_wall2.tga
		blendfunc blend
		//rgbgen vertex
		rgbgen exactvertex
	}
	
}

textures/tunis/wall_fol1
{
	qer_editorimage textures/tunis/wall_fol1.tga
	
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks

	polygonoffset

	
	cull none

	{
		map textures/tunis/wall_fol1.tga
		blendfunc blend
		//rgbgen vertex
		rgbgen exactvertex
	}
	
}



textures/tunis/sw_pattern_decal
{
	qer_editorimage textures/tunis/sw_pattern2.jpg
	
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks

	polygonoffset
	sort banner
	
	cull none

	{
		map textures/tunis/sw_pattern2.jpg
		blendfunc blend
		//rgbgen vertex
		rgbgen exactvertex
	}
	
}
//************************************************
//*** Test Lighting ******************************
//************************************************

models/mapobjects/hanginglamp/light2
{
	surfaceparm nomarks 
	//altered x 2.5 for r_overbrightbits 0 and r_mapoverbrightbits 0 
	q3map_surfacelight 25000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/hanginglamp/light2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map models/mapobjects/hanginglamp/light2.jpg
		blendfunc GL_ONE GL_ONE
	}
}

models/mapobjects/tunis/light2a
{
	surfaceparm nomarks 
	//altered x 2.5 for r_overbrightbits 0 and r_mapoverbrightbits 0 
	q3map_surfacelight 25000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/tunis/light2a.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map models/mapobjects/tunis/light2a.jpg
		blendfunc GL_ONE GL_ONE
	}
}

//************************************************
//Palm Trees
//************************************************


models/mapobjects/tunis/palmfrond
{	
	surfaceparm alphashadow
	cull none
	nopicmip
	deformVertexes wave 300 sin 3 1 .1 0.4

	{
		map models/mapobjects/tunis/palmfrond.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/tunis/palmfrond_yell
{	
	surfaceparm alphashadow
	cull none
	nopicmip
	deformVertexes wave 300 sin 3 1 .1 0.4

	{
		map models/mapobjects/tunis/palmfrond_yell.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


models/mapobjects/tunis/palmleaves
{	
	surfaceparm alphashadow
	cull none
	nopicmip
	deformVertexes wave 300 sin 3 1 .1 0.4

	{
		map models/mapobjects/tunis/palmleaves.jpg
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/tunis/palmleaves2
{	
	surfaceparm alphashadow
	cull none
	nopicmip
	deformVertexes wave 300 sin 3 1 .1 0.4

	{
		map models/mapobjects/tunis/palmleaves2.jpg
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}



models/mapobjects/tunis/palmfrond2
{	
    surfaceparm alphashadow
    cull none
    nopicmip
	{
		map models/mapobjects/tunis/palmfrond2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


models/mapobjects/tunis/batleaf2
{	
    surfaceparm alphashadow
    cull none

	{
		map models/mapobjects/tunis/batleaf2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/tunis/leaf1
{	
    surfaceparm alphashadow
    cull none

	{
		map models/mapobjects/tunis/leaf1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}


	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/tunis/leaf2
{	
    surfaceparm alphashadow
    cull none

	{
		map models/mapobjects/tunis/leaf2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}


	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/tunis/leaf3
{	
    surfaceparm alphashadow
    cull none

	{
		map models/mapobjects/tunis/leaf3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}


	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
